variable asg_number {
  type = number
}

variable idx_instance_type {
 type = string
}

variable user_data {
  default = ""
  type = string
}

variable launch_conf_name {
  type = string
}

variable asg_name {
  type = string
}

variable "volume_sizes" {
  description = "Map of volume sizes"
  type = map(number)
}

variable indexer_security_group_ids {
  type = list
  #default = [ ]
}

variable vpc_zone_identifier {
  type = list
  #default = [ ]
}

variable "key_name" {
  description = "The key name to use for the instance"
  default     = ""
}

variable "name" {
  default = ""
}

variable "min_size" {
  default = 1
}

variable "max_size" {
  default = 1
}

variable tags {
  default = {}
}

variable iam_instance_profile {
  default = ""
}

variable common_services_account {
  type = string
}
